system requirements

Before you start working with easyceph®, please check the system requirements:

  • icon_easyceph Plug-ins:

    • This site requires one plug-in: Java. (available as Free Downloads from the source providers.)
      What is a Plug-in?

      easyceph® Cephalometric Tracing: Tracing availability is disabled unless the Java plugin is installed. Get Java Software.

  • icon_easyceph Verify that you have the latest Plug-in:

  • icon_easyceph Additional recommendations:

    • Windows Systems

      Windows XP, Windows 2003, Windows Vista, Windows 7.

      Web Browsers on Windows that we know support our software include: Mozilla Firefox 4.0 (and above), Internet Explorer 7 (and above), Opera 7.5 (and above), Safari.

    • Mac Systems

      Mac OS X 10.5 and above.

      Mozilla Firefox 4.0 (and above) and Apple's Safari web browser supports our system. Other browsers that support the Java 2 SE version 1.4.2 (and above) should work.

    • Linux Systems

      Kernel version 2.6.x and above.

      Mozilla Firefox 4.0 (and above). Other browsers that support the Java 2 SE version 1.4.2 (and above) should work.

    • Hardware Requirements

      Any reasonably modern computer should be able to run our software. If you computer was made in the last 5 years it probably can run our software, although as always the newer computer is then the better the experience will probably be.

      A screen resolution of at least 1024 x 768 pixels is recommended.

  • icon_easyceph For further assistance, please Contact Us